低危 Python 2.7.11/3.6.6 X.509 Certificate Crafted Certificate Integer Overflow 拒绝服务漏洞

CVE编号

CVE-2019-5010

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-11-01 10:15:00
漏洞描述
在Python的证书解析代码中发现了空指针取消引用漏洞。解析特制证书时,这会导致拒绝为应用程序提供服务。如果应用程序启用SSL / TLS证书验证并仅接受来自受信任的根证书颁发机构的证书,则不太可能触发此漏洞。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 python python * Up to
(including)
2.7.11
运行在以下环境
应用 python python * From
(including)
3.0.0
Up to
(including)
3.6.6
2
运行在以下环境
系统 amazon_2 python * Up to
(excluding)
2.7.16-1.amzn2.0.1
3
运行在以下环境
系统 debian_8 python * Up to
(excluding)
2.7.9-2+deb8u1
4
运行在以下环境
系统 debian_9 python * Up to
(excluding)
2.7.13-2+deb9u4
5
运行在以下环境
系统 alpine_edge python * Up to
(excluding)
3.6.8-r1
6
运行在以下环境
系统 alpine_3.13 python * Up to
(excluding)
3.6.8-r1
7
运行在以下环境
系统 alpine_3.12 python * Up to
(excluding)
3.6.8-r1
8
运行在以下环境
系统 amazon_AMI python * Up to
(excluding)
3.5.6-1.14.amzn1
9
运行在以下环境
系统 suse_12_SP5 python * Up to
(excluding)
3.6.10-4.3.5
10
运行在以下环境
系统 alpine_3.9 python * Up to
(excluding)
3.6.8-r1
11
运行在以下环境
系统 alpine_3.10 python * Up to
(excluding)
3.6.8-r1
12
运行在以下环境
系统 alpine_3.11 python * Up to
(excluding)
3.6.8-r1
13
运行在以下环境
系统 fedora_28 python * Up to
(excluding)
3.5.7-1.fc28
14
运行在以下环境
系统 fedora_30 python * Up to
(excluding)
3.5.7-1.fc30
15
运行在以下环境
系统 fedora_29 python * Up to
(excluding)
3.6.8-3.fc29
16
运行在以下环境
系统 suse_12_SP3 python * Up to
(excluding)
3.4.6-25.21.1
17
运行在以下环境
系统 suse_12_SP4 python * Up to
(excluding)
3.4.6-25.21.1
18
运行在以下环境
系统 oracle_7 python * Up to
(excluding)
2.7.5-86.0.1.el7
19
运行在以下环境
系统 alibaba_cloud_linux_2.1903 python * Up to
(excluding)
2.7.5-86.1.al7
20
运行在以下环境
系统 oracle_8 python * Up to
(excluding)
3.6.8-15.1.0.1.el8
21
运行在以下环境
系统 fedora_EPEL_7 python * Up to
(excluding)
3.6.8-1.el7
22
运行在以下环境
系统 fedora_EPEL_6 python * Up to
(excluding)
3.4.10-1.el6
23
运行在以下环境
系统 opensuse_Leap_15.1 python * Up to
(excluding)
3.6.10-lp151.6.7.1
24
运行在以下环境
系统 opensuse_Leap_15.0 python * Up to
(excluding)
2.7.14-lp150.6.6.1
25
运行在以下环境
系统 opensuse_Leap_42.3 python * Up to
(excluding)
2.7.13-27.12.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况